Any new license purchased will be for Yeti 3.0, but these are backwards compatible with previous versions including 2.x.

So if you purchase a 3.0 license you can use it in your 2.x based prodcution.